import request from '@/utils/request'

// 查询优酷广告账号列表
export function listAdYouKuAccount(query) {
  return request({
    url: '/ad/AdYouKuAccount/list',
    method: 'get',
    params: query
  })
}

// 查询优酷广告账号详细
export function getAdYouKuAccount(id) {
  return request({
    url: '/ad/AdYouKuAccount/' + id,
    method: 'get'
  })
}
// 查询优酷广告账号详细
export function listAll() {
  return request({
    url: '/ad/AdYouKuAccount/listAll',
    method: 'get'
  })
}

// 新增优酷广告账号
export function addAdYouKuAccount(data) {
  return request({
    url: '/ad/AdYouKuAccount',
    method: 'post',
    data: data
  })
}

// 修改优酷广告账号
export function updateAdYouKuAccount(data) {
  return request({
    url: '/ad/AdYouKuAccount',
    method: 'put',
    data: data
  })
}

// 删除优酷广告账号
export function delAdYouKuAccount(id) {
  return request({
    url: '/ad/AdYouKuAccount/' + id,
    method: 'delete'
  })
}

// 导出优酷广告账号
export function exportAdYouKuAccount(query) {
  return request({
    url: '/ad/AdYouKuAccount/export',
    method: 'get',
    params: query
  })
}
